package net.krakatoa.proxy.command;

import earth.krakatao.protocol.KraSocketClientProtocolMessage;
import net.krakatoa.proxy.ProxySystem;
import net.md_5.bungee.api.CommandSender;
import net.md_5.bungee.api.chat.TextComponent;
import net.md_5.bungee.api.connection.ProxiedPlayer;
import net.md_5.bungee.api.plugin.Command;

public class SendTestMessageCommand extends Command {

  public SendTestMessageCommand(String name) {
    super(name);
  }

  @Override
  public void execute(CommandSender commandSender, String[] args) {
    if (commandSender instanceof ProxiedPlayer) {
      ProxiedPlayer proxiedPlayer = (ProxiedPlayer) commandSender;

      // /sendTestMessage <status> <cmdID> <dest> <cmdNumber> <msg>

      if (args.length == 5) {
        KraSocketClientProtocolMessage kraSocketClientProtocolMessage = new KraSocketClientProtocolMessage(
            Byte.parseByte(args[0]), Integer.parseInt(args[1]), Integer.parseInt(args[2]),
            proxiedPlayer.getUniqueId().toString(), Short.parseShort(args[3]), args[4]);

        ProxySystem.getInstance().getKraSocketClient().getSocketClient()
            .SendMessage(kraSocketClientProtocolMessage);
      } else {
        proxiedPlayer.sendMessage(new TextComponent(
            "§cVerwendung: §7/sendTestMessage <status> <cmdID> <dest> <cmdNumber> <msg>"));
      }
    }
  }
}
